Package org.eclipse.birt.report.model.api

# Class TranslationHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.TranslationHandle

public class TranslationHandle extends ElementDetailHandle
Represents a translation message in the design. A translation message is used for the user to save their localized information in the design.

See Also:
  - `TranslationTable`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.birt.report.model.elements.Translation`
`translation`
The translation message.

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`TranslationHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.elements.Translation trans)`
Constructs a handle for a translation message.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocale()`
Returns the locale of the translation message.
`String`
`getResourceKey()`
Returns the resource key of the translation.
`String`
`getText()`
Returns translated text for the translation, the text defined for the locale.
`void`
`setLocale(String newLocale)`
Sets the locale of the translation message.
`void`
`setText(String text)`
Sets the translated text for the translation message.

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### translation

protected org.eclipse.birt.report.model.elements.Translation translation
The translation message.

## Constructor Details

### TranslationHandle

public TranslationHandle(ModuleHandle moduleHandle, org.eclipse.birt.report.model.elements.Translation trans)
Constructs a handle for a translation message.

Parameters:
  `moduleHandle` - a handle to a module
  `trans` - the translation instance to be handled.

## Method Details

### getResourceKey

public String getResourceKey()
Returns the resource key of the translation.

Returns:
  the resource key for the translation

### setLocale

public void setLocale(String newLocale) throws CustomMsgException
Sets the locale of the translation message.

Parameters:
  `newLocale` - new locale of the translation
Throws:
  `CustomMsgException` - if the translation message is not found in the design.

### getLocale

public String getLocale()
Returns the locale of the translation message.

Returns:
  the locale of the translation message

### setText

public void setText(String text) throws CustomMsgException
Sets the translated text for the translation message.

Parameters:
  `text` - translated text for the locale.
Throws:
  `CustomMsgException` - if the translation message is not found in the design.

### getText

public String getText()
Returns translated text for the translation, the text defined for the locale.

Returns:
  translated text for the translation